RHEL 7: systemd (RHSA-2019: 0049)

high Nessus プラグイン ID 121173

概要

リモートの Red Hat ホストに 1 つ以上のセキュリティ更新プログラムがありません。

説明

systemd 用の更新プログラムが、Red Hat Enterprise Linux 7 で現在利用可能です。

Red Hat 製品セキュリティは、この更新がセキュリティに及ぼす影響を重要度高と評価しています。詳細な重大度評価を示す CVSS (共通脆弱性評価システム) ベーススコアは、「参照」セクションの CVE リンクから脆弱性ごとに入手できます。

systemdパッケージには、Linuxのシステムおよびサービスのマネージャーであるsystemdが含まれます。このsystemdはSysVおよびLSB initスクリプトと互換性があります。これは積極的な並列化機能を提供し、起動サービスにソケットとD-Busの有効化を使用し、デーモンのオンデマンド起動を提供し、Linux cgroupsを使用したプロセスを記録します。また、システム状態のスナップショットと復元をサポートし、マウントポイントと自動マウントポイントを維持し、複雑なトランザクション依存ベースのサービス制御ロジックを実装します。これはsysvinitの完全な互換品としても機能します。

セキュリティ修正プログラム:

* systemd: systemd-networkd dhcpv6 オプション処理での領域外ヒープ書き込み (CVE-2018-15688)

* systemd: 長い cmdline を持つコマンドから syslog を呼び出すときのスタックオーバーフロー (CVE-2018-16864)

* systemd: 多数の journald エントリを受信するときのスタックオーバーフロー (CVE-2018-16865)

影響、CVSS スコア、その他の関連情報を含むセキュリティの問題の詳細については、「参照」セクションに記載されている CVE のページを参照してください。

Red Hat は、CVE-2018-15688を報告してくれた Ubuntu Security Team と、CVE-2018-16864およびCVE-2018-16865を報告してくれた Qualys Research Labs に感謝の意を表します。アップストリームは、Felix Wilhelm 氏 (Google) をCVE-2018-15688の最初の報告者として認めています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://access.redhat.com/errata/RHSA-2019:0049

https://access.redhat.com/security/cve/cve-2018-15688

https://access.redhat.com/security/cve/cve-2018-16864

https://access.redhat.com/security/cve/cve-2018-16865

プラグインの詳細

深刻度: High

ID: 121173

ファイル名: redhat-RHSA-2019-0049.nasl

バージョン: 1.6

タイプ: local

エージェント: unix

公開日: 2019/1/15

更新日: 2022/2/1

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

CVSS スコアのソース: CVE-2018-15688

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 5.8

Temporal Score: 4.5

ベクトル: AV:A/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:POC/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.9

ベクトル: CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:redhat:enterprise_linux:libgudev1, p-cpe:/a:redhat:enterprise_linux:libgudev1-devel, p-cpe:/a:redhat:enterprise_linux:systemd, p-cpe:/a:redhat:enterprise_linux:systemd-debuginfo, p-cpe:/a:redhat:enterprise_linux:systemd-devel, p-cpe:/a:redhat:enterprise_linux:systemd-journal-gateway, p-cpe:/a:redhat:enterprise_linux:systemd-libs, p-cpe:/a:redhat:enterprise_linux:systemd-networkd, p-cpe:/a:redhat:enterprise_linux:systemd-python, p-cpe:/a:redhat:enterprise_linux:systemd-resolved, p-cpe:/a:redhat:enterprise_linux:systemd-sysv, cpe:/o:redhat:enterprise_linux:7, cpe:/o:redhat:enterprise_linux:7.6

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2019/1/14

脆弱性公開日: 2018/10/26

参照情報

CVE: CVE-2018-15688, CVE-2018-16864, CVE-2018-16865

RHSA: 2019:0049